﻿using Configuration;
using Oberon.HttpServers;
using System;

class HelloWebHtml
{
    static void Main()
    {
        Parameters.Setup();
        var webServer = new HttpServer
        {
            StreamProvider = Parameters.StreamProvider,
            RequestRouting =
            {
                { "GET /hello.html", HandleGetHelloHtml }
            }
        };
        webServer.Run();
    }

    static void HandleGetHelloHtml(RequestHandlerContext context)
    {
        string s =
            "<html>\r\n" +
            "\t<body>\r\n" +
            "\t\tHello <strong>Web</strong> at " +
                DateTime.Now + "\r\n" +
            "\t</body>\r\n" +
            "</html>";
        context.SetResponse(s, "text/html");
    }
}
