﻿using Configuration;
using Microsoft.SPOT.Hardware;
using Oberon.HttpResources.Netmf;
using Oberon.HttpServers;

class VoltageMonitor
{
    static void Main()
    {
        Parameters.Setup();
        var lowPort = new OutputPort(Parameters.LowPin, false);
        var highPort = new OutputPort(Parameters.HighPin, true);

        var voltageSensor = new AnalogSensor
        {
            InputPin = Parameters.AnalogPin,
            MinValue = 0.0,
            MaxValue = 3.3
        };

        var webServer = new HttpServer
        {
            StreamProvider = Parameters.StreamProvider,
            RequestRouting =
            {
                {
                    "GET /voltage/actual",
                    new MeasuredVariable
                    {
                        FromSensor = voltageSensor.HandleGet
                    }.HandleRequest
                }
            }
        };

        webServer.Run();
    }
}
